/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DataGridColumnDescription } from "./DataGridColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ComboBoxColumnDescription = /*@__PURE__*/ (() => {
    class ComboBoxColumnDescription extends DataGridColumnDescription {
        constructor() {
            super();
            this.fj = null;
            this.fg = null;
            this.fk = null;
            this.fl = null;
        }
        get_type() {
            return "ComboBoxColumn";
        }
        get dataSourceRef() {
            return this.fj;
        }
        set dataSourceRef(a) {
            this.fj = a;
            this.g("DataSourceRef");
        }
        get dataSource() {
            return this.fg;
        }
        set dataSource(a) {
            this.fg = a;
            this.g("DataSource");
        }
        get textField() {
            return this.fk;
        }
        set textField(a) {
            this.fk = a;
            this.g("TextField");
        }
        get valueField() {
            return this.fl;
        }
        set valueField(a) {
            this.fl = a;
            this.g("ValueField");
        }
    }
    ComboBoxColumnDescription.$t = markType(ComboBoxColumnDescription, 'ComboBoxColumnDescription', DataGridColumnDescription.$);
    ComboBoxColumnDescription.__canMarshalByValue1 = true;
    return ComboBoxColumnDescription;
})();
